---------------------------------------------------------
--Instance Module Template for BossTactics
--refer www.bosstactics.net for howto create modules!
---------------------------------------------------------

--available buttontypes:
--f: rangedDPS, h: healer, t: tank, n:melee, b,x,y,z: boss
--empty captions are not "" please use " " or you will get exceptions!

--local variable definition dont change!!
local BT_main = LibStub("AceAddon-3.0"):GetAddon( "BossTactics" )

BT_ArgentCol = LibStub("AceAddon-3.0"):NewAddon("BT_ArgentCol","AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("BT_ArgentCol")

--feel free to use localisations from the framework
local L_main = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

local BabbleBoss = LibStub("LibBabble-Boss-3.0"):GetLookupTable();
local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

--db profile defaults add your boss-data here
local defaults = {
    profile = {
        ["instance"] = BabbleZone["The Argent Coliseum"], --instance name
		["version"] = 3, --change this to a higher value for update handling (explained in a tutorial)
		["initial"] = true, --never change this flag!
		["id"] = "BT_ArgentCol", --very important this must be the same name as your module case sensitive!
		["info"] = L["info"], --a short text you can add to the info frame, optional
		["patchlevel"] = "3.2.0", --put in the patchlevel to which this guide belongs to
		["bosses"] = {
			["mode25"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["The Beasts of Northrend"],
                    ["ratext"] = L["Ra-The Beasts of Northrend"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-The Beasts of Northrend"],} },
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 24, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                            	{
                                    ["y"] = -150.6231878974778,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 246.574296247339,
                                }, -- [1]
                                {
                                    ["y"] = -122.3359280851668,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 247.2688604265213,
                                }, -- [2]
                                {
                                    ["y"] = -152.7990811307276,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 201.8755825082795,
                                }, -- [3]
                                {
                                    ["y"] = -244.1882703590505,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 188.1253170456759,
                                }, -- [4]
                                {
                                    ["y"] = -205.0214724049278,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 129.6763648348488,
                                }, -- [5]
                                {
                                    ["y"] = -123.4238387140104,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 274.4679217077383,
                                }, -- [6]
                                {
                                    ["y"] = -177.8223391481481,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 217.1071410371693,
                                }, -- [7]
                                {
                                    ["y"] = -184.3500728295695,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 253.010117135308,
                                }, -- [8]
                                {
                                    ["y"] = -173.4704627121952,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 285.6490014691028,
                                }, -- [9]
                                {
                                    ["y"] = -153.8869197840087,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 296.5288635009462,
                                }, -- [10]
                                {
                                    ["y"] = -259.4199188573936,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 255.5793208304377,
                                }, -- [11]
                                {
                                    ["y"] = -245.2762349695661,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 328.4730756922148,
                                }, -- [12]
                                {
                                    ["y"] = -257.2438456852372,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 83.68052550033032,
                                }, -- [13]
                                {
                                    ["y"] = -283.3551762765172,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 406.8068155515855,
                                }, -- [14]
                                {
                                    ["y"] = -210.4612954575056,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 427.4780531819279,
                                }, -- [15]
                                {
                                    ["y"] = -299.6746454342506,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 135.1161968843719,
                                }, -- [16]
                                {
                                    ["y"] = -310.5542555516249,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 213.44986476818,
                                }, -- [17]
                                {
                                    ["y"] = -310.5543275271875,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 322.2465057586425,
                                }, -- [18]
                                {
                                    ["y"] = -205.0215263865997,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 370.1172365235775,
                                }, -- [19]
                                {
                                    ["y"] = -160.4148873860085,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 112.2688141063106,
                                }, -- [20]
                                {
                                    ["y"] = -193.0538616892566,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 66.57422848909447,
                                }, -- [21]
                                {
                                    ["y"] = -168.0306216657268,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 402.7559589123565,
                                }, -- [22]
                                {
                                    ["y"] = -248.5401108072221,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 450.6264737506037,
                                }, -- [23]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Gormok the Impaler"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Gormok the Impaler"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 18, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                            	{
                                    ["y"] = -202.8455611777873,
                                    ["type"] = "b",
                                    ["caption"] = L["static"],
                                    ["x"] = 141.0414681159153,
                                }, -- [1]
                                {
                                    ["y"] = -306.2025050729066,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 451.8069089651819,
                                }, -- [2]
                                {
                                    ["y"] = -179.9981424119447,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 147.4772080313763,
                                }, -- [3]
                                {
                                    ["y"] = -193.0538616892566,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 343.7046882027765,
                                }, -- [4]
                                {
                                    ["y"] = -260.5078474801278,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 240.6490160188503,
                                }, -- [5]
                                {
                                    ["y"] = -275.7394779845802,
                                    ["type"] = "b",
                                    ["caption"] = L["movable"],
                                    ["x"] = 454.3760766725304,
                                }, -- [6]
                                {
                                    ["y"] = -236.5725360793323,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 131.9443867882388,
                                }, -- [7]
                                {
                                    ["y"] = -193.0538616892566,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 281.6903635194673,
                                }, -- [8]
                                {
                                    ["y"] = -234.3966068583011,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 316.5053390193091,
                                }, -- [9]
                                {
                                    ["y"] = -325.7860480010932,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 261.0191078952342,
                                }, -- [10]
                                {
                                    ["y"] = -358.4249863165599,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 180.5094927965044,
                                }, -- [11]
                                {
                                    ["y"] = -393.2397818774952,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 263.1949651407027,
                                }, -- [12]
                                {
                                    ["y"] = -317.0820432147182,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 211.2738815654769,
                                }, -- [13]
                                {
                                    ["y"] = -292.0587851972978,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 310.2789850124246,
                                }, -- [14]
                                {
                                    ["y"] = -231.1326590450825,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 266.7601666712237,
                                }, -- [15]
                                {
                                    ["y"] = -166.942567085758,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 317.8946113287989,
                                }, -- [16]
                                {
                                    ["y"] = -373.6563829004338,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 229.7692799442414,
                                }, -- [17]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 157,
                                    ["y"] = -22,
                                    ["text"] = BabbleBoss["Acidmaw"].." & "..BabbleBoss["Dreadscale"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Acidmaw"].." & "..BabbleBoss["Dreadscale"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 22, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                        		{
                                    ["y"] = -233.3086422477856,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 258.5419069630101,
                                }, -- [1]
                                {
                                    ["y"] = -263.7717413116745,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 275.5559942815978,
                                }, -- [2]
                                {
                                    ["y"] = -170.2065148989766,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 216.4123429374085,
                                }, -- [3]
                                {
                                    ["y"] = -214.8131538995678,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 241.0423444746209,
                                }, -- [4]
                                {
                                    ["y"] = -378.0082773302774,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 259.1443964037242,
                                }, -- [5]
                                {
                                    ["y"] = -181.0862689674761,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 319.7694307836529,
                                }, -- [6]
                                {
                                    ["y"] = -242.0122871563474,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 362.1999966120878,
                                }, -- [7]
                                {
                                    ["y"] = -319.2579724357493,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 296.9220659994822,
                                }, -- [8]
                                {
                                    ["y"] = -311.642346119375,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 206.6206254549871,
                                }, -- [9]
                                {
                                    ["y"] = -242.0122871563474,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 165.2779342676146,
                                }, -- [10]
                                {
                                    ["y"] = -368.216613829528,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 336.3901716525793,
                                }, -- [11]
                                {
                                    ["y"] = -323.6098308778116,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 396.2282792126071,
                                }, -- [12]
                                {
                                    ["y"] = -267.0356171493305,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 433.2190039945734,
                                }, -- [13]
                                {
                                    ["y"] = -198.4936307601625,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 411.4598557353875,
                                }, -- [14]
                                {
                                    ["y"] = -140.8314794120018,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 353.7975694330469,
                                }, -- [15]
                                {
                                    ["y"] = -133.2157631261742,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 270.0240245149891,
                                }, -- [16]
                                {
                                    ["y"] = -152.7991531062903,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 171.0191369947293,
                                }, -- [17]
                                {
                                    ["y"] = -210.4612954575056,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 127.5004266168723,
                                }, -- [18]
                                {
                                    ["y"] = -269.2116363398149,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 117.7086641497244,
                                }, -- [19]
                                {
                                    ["y"] = -330.1378704553741,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 144.9079233637386,
                                }, -- [20]
                                {
                                    ["y"] = -368.2164338906215,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 196.0423950121497,
                                }, -- [21]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 217,
                                    ["y"] = -22,
                                    ["text"] = BabbleBoss["Icehowl"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Icehowl"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Lord Jaraxxus"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Lord Jaraxxus"],} },
                    ["ratext"] = L["Ra-Lord Jaraxxus"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 21,
                            ["buttons"] = {
                            	{
                                    ["y"] = -239.8363039536444,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 262.8938013928537,
                                }, -- [1]
                                {
                                    ["y"] = -215.901136503974,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 263.5884375475986,
                                }, -- [2]
                                {
                                    ["y"] = -362.7767008074969,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 228.3802235614394,
                                }, -- [3]
                                {
                                    ["y"] = -263.7717413116745,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 262.8018346177293,
                                }, -- [4]
                                {
                                    ["y"] = -351.8970547023413,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 141.6440295321919,
                                }, -- [5]
                                {
                                    ["y"] = -265.9476885265963,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 168.9352105366038,
                                }, -- [6]
                                {
                                    ["y"] = -292.0588931606417,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 80.7178224074687,
                                }, -- [7]
                                {
                                    ["y"] = -220.2529949460362,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 102.4771865933425,
                                }, -- [8]
                                {
                                    ["y"] = -317.0821871658434,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 199.3061628864619,
                                }, -- [9]
                                {
                                    ["y"] = -187.6139486672255,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 171.8058838757238,
                                }, -- [10]
                                {
                                    ["y"] = -335.5773876118108,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 320.8573414124965,
                                }, -- [11]
                                {
                                    ["y"] = -249.628111405519,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 366.55185505415,
                                }, -- [12]
                                {
                                    ["y"] = -176.7343385498513,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 330.6491128765898,
                                }, -- [13]
                                {
                                    ["y"] = -151.7111165202121,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 251.2274803822662,
                                }, -- [14]
                                {
                                    ["y"] = -355.1608585644348,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 277.6398847519419,
                                }, -- [15]
                                {
                                    ["y"] = -295.3227869921884,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 349.4457109909847,
                                }, -- [16]
                                {
                                    ["y"] = -211.5492600680211,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 357.0617331729534,
                                }, -- [17]
                                {
                                    ["y"] = -164.7667278341801,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 296.1353371123784,
                                }, -- [18]
                                {
                                    ["y"] = -175.6463559454451,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 211.2738815654769,
                                }, -- [19]
                                {
                                    ["y"] = -214.8130819240052,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 152.5236666404022,
                                }, -- [20]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Jaraxxus"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [3] = {
                    ["name"] = L["Fraction Champions"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Champions"],} },
                    ["ratext"] = L["Ra-Champions"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 22,
                            ["buttons"] = {
                            	{
                                    ["y"] = -176.9231176252146,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 68.84614372933572,
                                }, -- [1]
                                {
                                    ["y"] = -332.6923595916434,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 288.846299139633,
                                }, -- [2]
                                {
                                    ["y"] = -246.1539265716878,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 339.4229481318133,
                                }, -- [3]
                                {
                                    ["y"] = -280.7691551778689,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 244.423062552263,
                                }, -- [4]
                                {
                                    ["y"] = -196.153808868997,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 106.346153843218,
                                }, -- [5]
                                {
                                    ["y"] = -224.9999532089822,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 44.80767708549207,
                                }, -- [6]
                                {
                                    ["y"] = -242.3076749863844,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 83.26923055491628,
                                }, -- [7]
                                {
                                    ["y"] = -268.26916971896,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 35.19228505423904,
                                }, -- [8]
                                {
                                    ["y"] = -282.6923786744403,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 74.61538432180312,
                                }, -- [9]
                                {
                                    ["y"] = -322.1153435991147,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 23.65380142670622,
                                }, -- [10]
                                {
                                    ["y"] = -327.8845451100142,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 67.88463945536171,
                                }, -- [11]
                                {
                                    ["y"] = -374.0384307681856,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 21.73081974733614,
                                }, -- [12]
                                {
                                    ["y"] = -374.9998764198078,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 72.69229272552336,
                                }, -- [13]
                                {
                                    ["y"] = -283.653628918223,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 374.0383526050499,
                                }, -- [14]
                                {
                                    ["y"] = -339.4231435396527,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 374.0385089313214,
                                }, -- [15]
                                {
                                    ["y"] = -302.884437406709,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 260.7692800556912,
                                }, -- [16]
                                {
                                    ["y"] = -330.7692337989918,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 247.3076535373208,
                                }, -- [17]
                                {
                                    ["y"] = -356.7307676131352,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 306.1539036723316,
                                }, -- [18]
                                {
                                    ["y"] = -332.6923205100756,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 320.5769563015402,
                                }, -- [19]
                                {
                                    ["y"] = -360.5767456274634,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 277.3077397915624,
                                }, -- [20]
                                {
                                    ["y"] = -306.7306694512284,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 235.7692895970897,
                                }, -- [21]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = L["Champion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [4] = {
                    ["name"] = BabbleBoss["The Twin Val'kyr"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-The Twin Val'kyr"],} },
                    ["ratext"] = L["Ra-The Twin Val'kyr"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 13,
                            ["buttons"] = {
                            	{
                                    ["y"] = -373.0768678718598,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 135.9616188470861,
                                }, -- [1]
                                {
                                    ["y"] = -372.1151486492624,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 390.5768905040568,
                                }, -- [2]
                                {
                                    ["y"] = -214.4229762980214,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 203.6538353177534,
                                }, -- [3]
                                {
                                    ["y"] = -178.8460870915947,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 315.9615794601935,
                                }, -- [4]
                                {
                                    ["y"] = -290.3844910293681,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 362.8846294559762,
                                }, -- [5]
                                {
                                    ["y"] = -150.9614763367595,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 317.499947216984,
                                }, -- [6]
                                {
                                    ["y"] = -179.8077281510564,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 205.384738418746,
                                }, -- [7]
                                {
                                    ["y"] = -174.999991832563,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 143.4615475919228,
                                }, -- [8]
                                {
                                    ["y"] = -185.5770273658756,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 364.8077552486279,
                                }, -- [9]
                                {
                                    ["y"] = -283.6537461629266,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 153.2692429205686,
                                }, -- [10]
                                {
                                    ["y"] = -146.1538865741456,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 205.0000194644528,
                                }, -- [11]
                                {
                                    ["y"] = -214.423132624293,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 313.2692111667947,
                                }, -- [12]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Fjola Lightbane"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Light Portal"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Dark Portal"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                    [8] = {
                                        ["type"] = "z",
                                        ["caption"] =  BabbleBoss["Eydis Darkbane"],
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [5] = {
                    ["name"] = BabbleBoss["Anub'arak"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-25-Anub'arak"],} },
                    ["ratext"] = L["Ra-Anub'arak"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_anub1",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
                                    ["y"] = -191.3460920912875,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 221.730701891983,
                                }, -- [1]
                                {
                                    ["y"] = -211.5383462313957,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 289.8077057096873,
                                }, -- [2]
                                {
                                    ["y"] = -217.3075868238631,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 219.0384703840718,
                                }, -- [3]
                                {
                                    ["y"] = -158.6538134107026,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 265.3845396523344,
                                }, -- [4]
                                {
                                    ["y"] = -227.8844660309042,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 164.8077143351115,
                                }, -- [5]
                                {
                                    ["y"] = -234.6153867644011,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 271.9230618271167,
                                }, -- [6]
                                {
                                    ["y"] = -166.346082091902,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 305.7692628811741,
                                }, -- [7]
                                {
                                    ["y"] = -135.5769389743607,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 294.2308012370232,
                                }, -- [8]
                                {
                                    ["y"] = -286.5381221993611,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 198.0769542024326,
                                }, -- [9]
                                {
                                    ["y"] = -189.4228881355001,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 245.3845863670209,
                                }, -- [10]
                                {
                                    ["y"] = -298.0768574144871,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 238.4615797273526,
                                }, -- [11]
                                {
                                    ["y"] = -273.0769060374534,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 225.961535646092,
                                }, -- [12]
                                {
                                    ["y"] = -281.7307376149786,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 314.807676627505,
                                }, -- [13]
                            },
                             ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Anub'arak"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Permafrost"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_anub2",
                            ["btnId"] = 15,
                            ["buttons"] = {
                            	{
                                    ["y"] = -242.3076163640326,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 432.1154774840172,
                                }, -- [1]
                                {
                                    ["y"] = -388.4615224789622,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 152.6923110450083,
                                }, -- [2]
                                {
                                    ["y"] = -351.9231876209134,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 139.6153741697552,
                                }, -- [3]
                                {
                                    ["y"] = -297.1153335997292,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 278.8460293852172,
                                }, -- [4]
                                {
                                    ["y"] = -237.4998605047553,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 214.8076952523147,
                                }, -- [5]
                                {
                                    ["y"] = -184.6153276840622,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 206.1538441340055,
                                }, -- [6]
                                {
                                    ["y"] = -417.3075886558116,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 386.9231938037395,
                                }, -- [7]
                                {
                                    ["y"] = -378.8461280051112,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 114.8076943363404,
                                }, -- [8]
                                {
                                    ["y"] = -325.9614583989305,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 423.0771223600382,
                                }, -- [9]
                                {
                                    ["y"] = -275.0000318301051,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 146.1538865741456,
                                }, -- [10]
                                {
                                    ["y"] = -195.1922655134551,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 317.3077636068929,
                                }, -- [11]
                                {
                                    ["y"] = -409.6154763008838,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 242.3077140679523,
                                }, -- [12]
                                {
                                    ["y"] = -309.6153776809898,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 305.7693605850938,
                                }, -- [13]
                                {
                                    ["y"] = -249.0384589343937,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 198.4615949935901,
                                }, -- [14]
                            },
                             ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Anub'arak"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Permafrost"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
           ["mode10"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["The Beasts of Northrend"],
                    ["ratext"] = L["Ra-The Beasts of Northrend"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-The Beasts of Northrend"],} },
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 12, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                            	{
                                    ["y"] = -171.2945694789454,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 224.723055255794,
                                }, -- [1]
                                {
                                    ["y"] = -186.526038038382,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 404.9319241211689,
                                }, -- [2]
                                {
                                    ["y"] = -260.5076135595493,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 311.0654979728406,
                                }, -- [3]
                                {
                                    ["y"] = -121.2480084593778,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 249.4448436292244,
                                }, -- [4]
                                {
                                    ["y"] = -148.4471417161575,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 249.8382080727763,
                                }, -- [5]
                                {
                                    ["y"] = -124.5118932939792,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 275.5562102082856,
                                }, -- [6]
                                {
                                    ["y"] = -174.5583913349295,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 273.6814987167755,
                                }, -- [7]
                                {
                                    ["y"] = -235.4844814993634,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 365.4639804130877,
                                }, -- [8]
                                {
                                    ["y"] = -268.1234917903929,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 239.5608174877563,
                                }, -- [9]
                                {
                                    ["y"] = -246.3641995800817,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 173.1949942401978,
                                }, -- [10]
                                {
                                    ["y"] = -194.1419162692255,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 136.2040625284889,
                                }, -- [11]
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = BabbleBoss["Gormok the Impaler"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Gormok the Impaler"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 13, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                            	{
                                    ["y"] = -201.7576505489437,
                                    ["type"] = "b",
                                    ["caption"] = L["static"],
                                    ["x"] = 183.4722408740926,
                                }, -- [1]
                                {
                                    ["y"] = -182.1741076207571,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 154.0049597066883,
                                }, -- [2]
                                {
                                    ["y"] = -261.5956681395182,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 315.4173924026841,
                                }, -- [3]
                                {
                                    ["y"] = -236.5725360793323,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 160.2315836219326,
                                }, -- [4]
                                {
                                    ["y"] = -179.9982863630699,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 349.4457109909847,
                                }, -- [5]
                                {
                                    ["y"] = -240.9243225458319,
                                    ["type"] = "b",
                                    ["caption"] = L["movable"],
                                    ["x"] = 426.0888888357819,
                                }, -- [6]
                                {
                                    ["y"] = -275.7394779845802,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 439.8392082800575,
                                }, -- [7]
                                {
                                    ["y"] = -325.7859400377492,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 268.6346442421553,
                                }, -- [8]
                                {
                                    ["y"] = -185.4380554339757,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 214.9311218466849,
                                }, -- [9]
                                {
                                    ["y"] = -370.3925790383404,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 203.658129291868,
                                }, -- [10]
                                {
                                    ["y"] = -235.4844814993634,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 246.0888210775374,
                                }, -- [11]
                                {
                                    ["y"] = -307.2903077384062,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 161.2272755611827,
                                }, -- [12]
                            },
                           ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 157,
                                    ["y"] = -22,
                                    ["text"] = BabbleBoss["Acidmaw"].." & "..BabbleBoss["Dreadscale"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Acidmaw"].." & "..BabbleBoss["Dreadscale"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                        [3] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 12, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
                            	{
                                    ["y"] = -235.4845354810354,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 262.8938553745256,
                                }, -- [1]
                                {
                                    ["y"] = -244.1883243407225,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 295.1395372097844,
                                }, -- [2]
                                {
                                    ["y"] = -370.3925790383404,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 196.8289799481284,
                                }, -- [3]
                                {
                                    ["y"] = -201.7577225245063,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 264.9777278509791,
                                }, -- [4]
                                {
                                    ["y"] = -329.0497079120613,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 388.6126528962327,
                                }, -- [5]
                                {
                                    ["y"] = -228.9567118301607,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 226.8988585195906,
                                }, -- [6]
                                {
                                    ["y"] = -270.2996369381118,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 233.4265382193401,
                                }, -- [7]
                                {
                                    ["y"] = -148.4471417161575,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 314.3295897371845,
                                }, -- [8]
                                {
                                    ["y"] = -240.9244485030665,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 414.7236955852622,
                                }, -- [9]
                                {
                                    ["y"] = -199.5816673462406,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 154.69950589198,
                                }, -- [10]
                                {
                                    ["y"] = -279.003209871111,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 138.3801446975905,
                                }, -- [11]
                            },
                             ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 217,
                                    ["y"] = -22,
                                    ["text"] = BabbleBoss["Icehowl"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Icehowl"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Lord Jaraxxus"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Lord Jaraxxus"],} },
                    ["ratext"] = L["Ra-Lord Jaraxxus"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 10,
                            ["buttons"] = {
                            	{
                                    ["y"] = -257.2438996669092,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 254.0980277641515,
                                }, -- [1]
                                {
                                    ["y"] = -333.4015663541236,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 161.2273835245266,
                                }, -- [2]
                                {
                                    ["y"] = -304.0264678885315,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 246.8754420012974,
                                }, -- [3]
                                {
                                    ["y"] = -203.9334538127403,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 270.1162611984732,
                                }, -- [4]
                                {
                                    ["y"] = -236.5726620365668,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 259.6297816040724,
                                }, -- [5]
                                {
                                    ["y"] = -235.4845354810354,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 177.6390533779629,
                                }, -- [6]
                                {
                                    ["y"] = -286.618908163048,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 329.5611302721836,
                                }, -- [7]
                                {
                                    ["y"] = -368.2166498173093,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 280.9036346323634,
                                }, -- [8]
                                {
                                    ["y"] = -309.4664888739065,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 400.5801376546693,
                                }, -- [9]
                                {
                                    ["y"] = -234.3965528766292,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 390.7884021783573,
                                }, -- [10]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Lord Jaraxxus"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
                [3] = {
                    ["name"] = L["Fraction Champions"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Champions"],} },
                    ["ratext"] = L["Ra-Champions"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 18,
                            ["buttons"] ={
                            	{
                                    ["y"] = -265.3844028668468,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 243.4614214928014,
                                }, -- [1]
                                {
                                    ["y"] = -170.1921968917177,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 263.846113273192,
                                }, -- [2]
                                {
                                    ["y"] = -199.9999236688127,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 340.3847064359786,
                                }, -- [3]
                                {
                                    ["y"] = -216.346102090673,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 253.6538553165244,
                                }, -- [4]
                                {
                                    ["y"] = -248.0768960380679,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 25.57693698974987,
                                }, -- [5]
                                {
                                    ["y"] = -292.3075386588839,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 18.84614327134859,
                                }, -- [6]
                                {
                                    ["y"] = -193.2691397208034,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 44.80778455980377,
                                }, -- [7]
                                {
                                    ["y"] = -188.46140340231,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 97.69229295451692,
                                }, -- [8]
                                {
                                    ["y"] = -249.0382244449864,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 87.11537466590794,
                                }, -- [9]
                                {
                                    ["y"] = -304.8075436585767,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 69.80767242928965,
                                }, -- [10]
                                {
                                    ["y"] = -286.5385520966078,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 309.6153385994219,
                                }, -- [11]
                                {
                                    ["y"] = -249.0382830673382,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 331.7307185321818,
                                }, -- [12]
                                {
                                    ["y"] = -247.1155090087976,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 272.5001011769887,
                                }, -- [13]
                                {
                                    ["y"] = -314.4228990508598,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 243.6538395922999,
                                }, -- [14]
                                {
                                    ["y"] = -209.6154158465835,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 284.8076880771831,
                                }, -- [15]
                                {
                                    ["y"] = -140.3846557520702,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 241.5384520264213,
                                }, -- [16]
                                {
                                    ["y"] = -347.1151777314448,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 217.5000049233616,
                                }, -- [17]
                            },
                        },
                    },
                },
                [4] = {
                    ["name"] = BabbleBoss["The Twin Val'kyr"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-The Twin Val'kyr"],} },
                    ["ratext"] = L["Ra-The Twin Val'kyr"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_argent",
                            ["btnId"] = 13,
                            ["buttons"] = {
                            	{
                                    ["y"] = -373.0768678718598,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 135.9616188470861,
                                }, -- [1]
                                {
                                    ["y"] = -372.1151486492624,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 390.5768905040568,
                                }, -- [2]
                                {
                                    ["y"] = -214.4229762980214,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 203.6538353177534,
                                }, -- [3]
                                {
                                    ["y"] = -178.8460870915947,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 315.9615794601935,
                                }, -- [4]
                                {
                                    ["y"] = -290.3844910293681,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 362.8846294559762,
                                }, -- [5]
                                {
                                    ["y"] = -150.9614763367595,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 317.499947216984,
                                }, -- [6]
                                {
                                    ["y"] = -179.8077281510564,
                                    ["type"] = "z",
                                    ["caption"] = " ",
                                    ["x"] = 205.384738418746,
                                }, -- [7]
                                {
                                    ["y"] = -174.999991832563,
                                    ["type"] = "y",
                                    ["caption"] = " ",
                                    ["x"] = 143.4615475919228,
                                }, -- [8]
                                {
                                    ["y"] = -185.5770273658756,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 364.8077552486279,
                                }, -- [9]
                                {
                                    ["y"] = -283.6537461629266,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 153.2692429205686,
                                }, -- [10]
                                {
                                    ["y"] = -146.1538865741456,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 205.0000194644528,
                                }, -- [11]
                                {
                                    ["y"] = -214.423132624293,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 313.2692111667947,
                                }, -- [12]
                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Fjola Lightbane"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Light Portal"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Dark Portal"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                    [8] = {
                                        ["type"] = "z",
                                        ["caption"] =  BabbleBoss["Eydis Darkbane"],
                                        ["r"] = 131/255,
                                        ["g"] = 48/255,
                                        ["b"] = 19/255,
                                    },
                                },
                            },
                        },
                    },
                },
                [5] = {
                    ["name"] = BabbleBoss["Anub'arak"],
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["Tactic-10-Anub'arak"],} },
                    ["ratext"] = L["Ra-Anub'arak"],
                    ["imgdata"] = {
                         [1] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_anub1",
                            ["btnId"] = 12,
                            ["buttons"] = {
                            	{
                                    ["y"] = -185.576871039604,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 285.7693291366447,
                                }, -- [1]
                                {
                                    ["y"] = -262.5000268304123,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 221.5385378226758,
                                }, -- [2]
                                {
                                    ["y"] = -167.3077426921475,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 330.7693510436954,
                                }, -- [3]
                                {
                                    ["y"] = -207.6922705131479,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 242.1153545908057,
                                }, -- [4]
                                {
                                    ["y"] = -184.6153276840622,
                                    ["type"] = "b",
                                    ["caption"] = " ",
                                    ["x"] = 253.4615153801618,
                                }, -- [5]
                                {
                                    ["y"] = -211.5384439353154,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 335.9616499902105,
                                }, -- [6]
                                {
                                    ["y"] = -238.4615015642169,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 315.1922783370945,
                                }, -- [7]
                                {
                                    ["y"] = -164.4230344623861,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 263.653890581533,
                                }, -- [8]
                                {
                                    ["y"] = -161.5384923292882,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 236.7307938710636,
                                }, -- [9]
                                {
                                    ["y"] = -143.2691978851681,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 313.4614924808056,
                                }, -- [10]
                                {
                                    ["y"] = -222.1153231423565,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 203.2692531489477,
                                }, -- [11]
                                {
                                    ["y"] = -279.8077681485985,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 271.5384601175271,
                                }, -- [12]
                            },
                             ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Anub'arak"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Permafrost"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                        [2] = {
                            ["source"] = "Interface\\Addons\\BT_ArgentCol\\Img\\map_anub2",
                            ["btnId"] = 14,
                            ["buttons"] = {
                            	{
                                    ["y"] = -244.2308007790361,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 406.1537482620343,
                                }, -- [1]
                                {
                                    ["y"] = -402.8847705160103,
                                    ["type"] = "t",
                                    ["caption"] = " ",
                                    ["x"] = 237.307715976232,
                                }, -- [2]
                                {
                                    ["y"] = -286.5383957703363,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 202.8846709801421,
                                }, -- [3]
                                {
                                    ["y"] = -225.9614379421723,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 329.2307487974975,
                                }, -- [4]
                                {
                                    ["y"] = -195.1922655134551,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 253.2692731477188,
                                }, -- [5]
                                {
                                    ["y"] = -354.8077590651872,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 121.5385173659176,
                                }, -- [6]
                                {
                                    ["y"] = -428.846226167018,
                                    ["type"] = "x",
                                    ["caption"] = " ",
                                    ["x"] = 250.3846626218771,
                                }, -- [7]
                                {
                                    ["y"] = -398.0768387896774,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 270.3846549887583,
                                }, -- [8]
                                {
                                    ["y"] = -327.88462327315,
                                    ["type"] = "h",
                                    ["caption"] = " ",
                                    ["x"] = 382.6923795904145,
                                }, -- [9]
                                {
                                    ["y"] = -319.230733073273,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 308.0769122202796,
                                }, -- [10]
                                {
                                    ["y"] = -203.8460970909803,
                                    ["type"] = "f",
                                    ["caption"] = " ",
                                    ["x"] = 157.1154163427362,
                                }, -- [11]
                                {
                                    ["y"] = -421.1537229964113,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 292.4999958399503,
                                }, -- [12]
                                {
                                    ["y"] = -451.923071292184,
                                    ["type"] = "n",
                                    ["caption"] = " ",
                                    ["x"] = 284.8077466995349,
                                }, -- [13]
                            },
                             ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },

                            },
                            ["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Anub'arak"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Permafrost"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
		},
    },
}

function BT_ArgentCol:OnInitialize()
 	--initialize database
    self.db = LibStub("AceDB-3.0"):New("BT_ArgentColDB", defaults, "Default") --change the name here
    self:CheckUpdate()

    table.insert(BT_main.modules,self.db.profile)
end;

------------------------------------------------
--this function is needed by the main program! dont touch it!
------------------------------------------------
function BT_ArgentCol:GetDefaults()
	return defaults;
end;

-----------------------------------------------
--handels updates in data
--refer to the tutorial how to get version changes!
-----------------------------------------------

function BT_ArgentCol:CheckUpdate()

	minor, second = strsplit(".",BT_main.version)
	if(tonumber(minor) == 2)then
        if(tonumber(second) < 13)then
            BT_main:ShowInfoMessage(format(L["new main version"],"2.13"))
            return
        end
    else
        if(tonumber(minor) <= 2)then
            BT_main:ShowInfoMessage(format(L["new main version"],"2.13"))
            return
        end
    end
	--the versions stored by the client musst be one more
	--because otherwise it woudnt been saved in the savedVariables
	if(not self.db.profile.initial)then
		if(defaults.profile.version+1 > self.db.profile.version)then
			self.updateInfo = {}
			if(defaults.profile.version >= 2 and self.db.profile.version <= 2)then -- <=2 because it was incremmented, this means v1 in profile
				if(not self:CompareBosses(self.db.profile.bosses.mode10[3].imgdata,defaults.profile.bosses.mode10[3].imgdata))then
				    self.updateInfo[3] = {}
                    self.updateInfo[3].mode10 = true;
                end

                if(not self:CompareBosses(self.db.profile.bosses.mode25[3].imgdata,defaults.profile.bosses.mode25[3].imgdata))then
				    if(not self.updateInfo[3]) then self.updateInfo[3] = {} end
                    self.updateInfo[3].mode25 = true;
                end

                if(not self:CompareBosses(self.db.profile.bosses.mode10[4].imgdata,defaults.profile.bosses.mode10[4].imgdata))then
				    self.updateInfo[4] = {}
                    self.updateInfo[4].mode10 = true;
                end
                if(not self:CompareBosses(self.db.profile.bosses.mode25[4].imgdata,defaults.profile.bosses.mode25[4].imgdata))then
				    if(not self.updateInfo[4]) then self.updateInfo[4] = {} end
                    self.updateInfo[4].mode25 = true;
                end

			end

			if(defaults.profile.version >= 3 and self.db.profile.version <= 3)then
				if(not self:CompareBosses(self.db.profile.bosses.mode10[5].imgdata,defaults.profile.bosses.mode10[5].imgdata))then
				    self.updateInfo[5] = {}
                    self.updateInfo[5].mode10 = true;
                end

                if(not self:CompareBosses(self.db.profile.bosses.mode25[5].imgdata,defaults.profile.bosses.mode25[5].imgdata))then
				    if(not self.updateInfo[5]) then self.updateInfo[5] = {} end
                    self.updateInfo[5].mode25 = true;
                end
			end

			local found = false
			for i,v in pairs(self.updateInfo)do
				if(v and (v.mode10 or v.mode25)) then
					found = true
					break
				end
			end
			if(found)then
				BT_main:ShowUpdateMessageFrame(format(L["update msg"],defaults.profile.version),
															    function() self.updateAll = true;
																		   self:PerformUpdate(1,true);
																		   end,
																function() self.updateAll = false;
																		   self:PerformUpdate(1,true);
																		   end)
			else
				self.db.profile.version = defaults.profile.version+1
			end
		end
	else
		self.db.profile.version = defaults.profile.version+1
	end
	self.db.profile.initial = false
end;

function BT_ArgentCol:PerformUpdate(start,mode) --next index, true=mode10
	local v = nil
	while(start <= 14)do
		if(self.updateInfo[start])then
			if(mode)then
				if(self.updateInfo[start].mode10)then
				    v = self.updateInfo[start]
                    break
                else
                	mode = false
                end
			else
				if(self.updateInfo[start].mode25)then
				    v = self.updateInfo[start]
                    break
                else
                	start=start+1
                	mode = true
                end
			end
		else
			start=start+1
		end
	end
	if(not v)then
		self:Print(L["Update finished."])
   		self.db.profile.version = defaults.profile.version+1
   		return
	end
	if(v.mode10 and mode)then
        if(not self:CompareBosses(self.db.profile.bosses.mode10[start].imgdata,defaults.profile.bosses.mode10[start].imgdata))then
            local yesfun = function() BT_ArgentCol:ResetButtonsForBoss(self.db.profile.bosses.mode10[start].imgdata, defaults.profile.bosses.mode10[start].imgdata);
                                      self:PerformUpdate(start, false) end
            if(self.updateAll)then
                yesfun()
            else
                BT_main:ShowQuestionFrame(format(L["Reset Boss"],self.db.profile.bosses.mode10[start].name, 10),
                yesfun,
                function() BT_ArgentCol:CleanUpButtons(self.db.profile.bosses.mode10[start].imgdata, defaults.profile.bosses.mode10[start].imgdata);
                	       self:PerformUpdate(start, false) end)
            end
        else
        	self:PerformUpdate(start, false)
        end
    elseif(v.mode25 and not mode)then
    	if(not self:CompareBosses(self.db.profile.bosses.mode25[start].imgdata,defaults.profile.bosses.mode25[start].imgdata))then
            local yesfun = function() BT_ArgentCol:ResetButtonsForBoss(self.db.profile.bosses.mode25[start].imgdata, defaults.profile.bosses.mode25[start].imgdata);
                                      self:PerformUpdate(start+1, true) end
            if(self.updateAll)then
                yesfun()
            else
                BT_main:ShowQuestionFrame(format(L["Reset Boss"],self.db.profile.bosses.mode25[start].name, 25),
                yesfun,
                function() BT_ArgentCol:CleanUpButtons(self.db.profile.bosses.mode25[start].imgdata, defaults.profile.bosses.mode25[start].imgdata);
                           self:PerformUpdate(start+1, true) end)
            end
        else
        	self:PerformUpdate(start+1, true)
    	end
    end

end;


function BT_ArgentCol:CleanUpButtons(b, bDef)

	for i,v in ipairs(b)do
		local img2 = bDef[i]
		local counter = 0
		local UBtnList = {}
		for ind, val in ipairs(v.buttons) do
			local tmpBtn = {}
			counter = counter + 1
			if(img2.buttons[ind])then
			    if(val.x == img2.buttons[ind].x and val.type == img2.buttons[ind].type
                    and val.y == img2.buttons[ind].y and val.caption == img2.buttons[ind].caption)then
                    --ende der Liste
                    break;
                else
                	--user button kopieren
                	tmpBtn.x = val.x
			        tmpBtn.y = val.y
                    tmpBtn.caption = val.caption
                    tmpBtn.type = val.type
                    tinsert(UBtnList,tmpBtn)
                end
            else
            	tmpBtn.x = val.x
			    tmpBtn.y = val.y
                tmpBtn.caption = val.caption
                tmpBtn.type = val.type
                tinsert(UBtnList,tmpBtn)
			end
		end
		v.buttons = {}
		for i=1, img2.btnId-1, 1 do
			local tmpBtn = {}
			tmpBtn.deleted = true
			tinsert(v.buttons,tmpBtn)
		end

		for ind,val in ipairs(UBtnList)do
			tinsert(v.buttons,val)
		end
		v.btnId = img2.btnId+counter
	end

end

function BT_ArgentCol:ResetButtonsForBoss(b, bDef)

	for i,v in ipairs(b)do
		local img2 = bDef[i]
		v.btnId = img2.btnId
		v.buttons = {}
		for ind, val in ipairs(img2.buttons) do
			local tmpBtn = {}
			tmpBtn.x = val.x
			tmpBtn.y = val.y
			tmpBtn.caption = val.caption
			tmpBtn.type = val.type
			tinsert(v.buttons,tmpBtn)
		end
	end

end

function BT_ArgentCol:CompareBosses(b1, b2)

	for i,v in ipairs(b1)do
		local img2 = b2[i]
		if(v.btnId ~= img2.btnId)then
			return false
		end
		for ind, val in ipairs(v.buttons) do
			if(val.x ~= img2.buttons[ind].x or val.type ~= img2.buttons[ind].type
			    or val.y ~= img2.buttons[ind].y or val.caption ~= img2.buttons[ind].caption)then
			    return false
			end
		end
	end
	return true
end;

----------------------------------------------------------
--place here the action button functions if you need them
----------------------------------------------------------


----------------------------------------------------------------
--dont touch this functions!
----------------------------------------------------------------

function BT_ArgentCol:ResetData()
	self.db:ResetDB()
	self.db.profile.version = defaults.profile.version+1
	self:Print(L["Module resetted"])
end;

function BT_ArgentCol:OnEnable()
    -- Called when the addon is enabled
end

function BT_ArgentCol:OnDisable()
    -- Called when the addon is disabled
end